/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operator_HammerOp_h__
#define __operator_HammerOp_h__

namespace fe
{

/**************************************************************************//**
	@brief Operator to alter regions of a surface

	@ingroup operator
*//***************************************************************************/
class FE_DL_EXPORT HammerOp:
	public OperatorState,
	public Initialize<HammerOp>
{
	public:

						HammerOp(void):
							m_brushed(FALSE)								{}

virtual					~HammerOp(void)										{}

		void			initialize(void);

						//* As HandlerI
virtual	void			handle(Record& a_rSignal);

	private:

		sp<SurfaceI>				m_spDriver;
		WindowEvent					m_event;

		sp<DrawMode>				m_spWireframe;
		sp<DrawMode>				m_spSolid;

		BWORD						m_brushed;

		SpatialTransform			m_locator;
};

} /* namespace */

#endif /* __operator_HammerOp_h__ */
