# this forge file is for site specific tweaks
import os
import sys

forge = sys.modules["forge"]

def local_setup():
	# parent path for the various versions of Houdini
	# (overriden if the HT environment variable is found)
	forge.houdini_installs = '/opt/'

	# default paths for FE Houdini nodes
	forge.houdini_url_root = 'http://freeelectron.org/op/'
	forge.houdini_icon_root = 'http://freeelectron.org/svg/'

	# desired potential Houdini versions with their associated Boost version
	forge.houdini_versions = [
			[ '11.0.775',		'1_37' ],
			[ '12.0.581',		'1_46' ],
			[ '12.1.77',		'1_46' ],
			[ '12.1.125',		'1_46' ],
			[ '12.5.219_beta',	'1_55' ] ]

	# other Boost versions as [version, include, lib]
	forge.boost_sources = []
	if os.path.exists('/usr/include/boost/exception'):
		forge.cppmap['boost'] = '-DFE_BOOST_EXCEPTIONS'
		forge.boost_sources += [ [ "", "/usr/include", '/usr/lib64' ] ]

	# parent path for the various versions of Maya
	forge.maya_installs = '/usr/autodesk/'

	# desired potential Maya versions
	forge.maya_versions = [
			'2011',
			'2012',
			'2013',
			'2014' ]
